LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-01-2005, 11:09 AM   #1
sameer666
LQ Newbie
 
Registered: Dec 2005
Posts: 13

Rep: Reputation: 0
kernel 2.6.14 compile


hi

i have compiled / upgraded to 2.6.14 on my redhat 9, i m having a problem with my sound though i can play the sound after running sound detection in kde, but redhat is giving me an error too

The es1371 driver could not be loaded. This soundcard may not be compatible with Red Hat Linux.

but after i press ok i can hear the sound, i compiled there sound ens1371 driver in kernel itself, but if i make it as module it stops working

thanx alot

Last edited by sameer666; 12-01-2005 at 11:12 AM.
 
Old 12-01-2005, 11:23 AM   #2
GrueMaster
Member
 
Registered: Aug 2005
Location: Oregon
Distribution: Kubuntu.
Posts: 848

Rep: Reputation: 30
There are a lot of tools that need to be updated for an older distro like Redhat 9 to use the 2.6 series kernels. Namely, modutils and binutils. Also, the 2.6 kernels use alsa, which may or may not be supported by applications that came with RH9. You might want to consider upgrading to Fedora Core 4, as it has a fairly stable base of applications and utilities revolving around the 2.6 kernel tree.

At the very least, you will need to upgrade modutils for modules to load/unload properly.
 
Old 12-01-2005, 06:28 PM   #3
sameer666
LQ Newbie
 
Registered: Dec 2005
Posts: 13

Original Poster
Rep: Reputation: 0
thanx mate
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
upgraded kernel, won't let me compile kernel once Suspend2 patches are applied microsoft/linux Linux - Laptop and Netbook 3 10-02-2005 03:37 PM
I want to compile 2.6 kernel and keep everything from 2.4 intact (dual kernel system) sina_kish Linux - Software 7 02-02-2005 10:01 AM
Kernel Problems. Howto Compile a new kernel from 4.2 with backwards compatibility ? ShoCkwave Linux - General 2 06-19-2004 07:02 AM
can i compile just one kernel module whithout recompiling the whole kernel? edman007 Linux - Software 3 02-17-2004 04:05 PM
Kernel 2.4.23 compile causes kernel panics on ATA RAID-1 (mirror) array Raptor Ramjet Slackware 3 12-18-2003 02:40 PM


All times are GMT -5. The time now is 11:01 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration